#include "Structures.h"

#ifndef TIME_H
#define TIME_H

class Time
{
public:

    Time();
    Time(int, int, int);
    virtual void Update(int, int ,int);
    virtual void Update(const STime &);
    virtual void SetHour(int);
    virtual void SetMinute(int);
    virtual void SetSecond(int);
    virtual int GetHour() const;
    virtual int GetMinute() const;
    virtual int GetSecond() const;
    virtual void Refresh();
    virtual void Version(SVersion *);
    virtual ~Time();

private:
    int hour;
    int minute;
    int second;
};

#endif // TIME_H
