// The functions contained in this file are pretty dummy
// and are included only as a placeholder. Nevertheless,
// they *will* get included in the shared library if you
// don't remove them :)
//
// Obviously, you 'll have to write yourself the super-duper
// functions to include in the resulting library...
// Also, it's not necessary to write every function in this file.
// Feel free to add more files in this project. They will be
// included in the resulting library.

#include "Structures.h"
#include "time.h"
#include "date.h"

extern "C"
{

   Time* CreateTimeInterface()
   {
      return new Time;
   }

   Time* CreateTimeInterfaceEx(int hour, int minute, int second)
   {
      return new Time(hour, minute, second);
   }

   int DeleteTimeInterface(Time * ToBeDeleted)
   {
      delete ToBeDeleted;
      return 0;
   }

   Date* CreateDateInterface()
   {
      return new Date;
   }

   int DeleteDateInterface(Date * ToBeDeleted)
   {
      delete ToBeDeleted;
      return 0;
   }

   void GetVersion(SVersion * Version)
   {
      Version->Major = 1;
      Version->Minor = 2;
      Version->Patch = 3;
   }

}

